"""Database stuff."""

from .. import application
from .base import Base
from .engine import engine
from .session import Session, session
from .calls import Call
from .contacts import Contact
from .settings import Settings
from .text_messages import TextMessage

__all__ = [
    'Base', 'engine', 'Session', 'session', 'Call', 'Contact', 'Settings',
    'TextMessage'
]

Base.metadata.create_all()

if not Settings.count():
    with session() as s:
        s.add(Settings(name='Default'))

application.active_profile_id = Settings.first().id
