"""Provides the Call class."""

from sqlalchemy import Column, DateTime, func, Boolean
from .base import Base, NumberMixin


class Call(Base, NumberMixin):
    """A logged phone call."""

    __tablename__ = 'calls'
    # None = missed call.
    # True = outgoing call.
    # False = incoming call.
    outgoing = Column(Boolean, nullable=True)
    started = Column(
        DateTime(timezone=True), nullable=False, default=func.now()
    )
    ended = Column(DateTime(timezone=True), nullable=True)
