"""Provides the Settings class."""

from sqlalchemy import Column, String, Integer
from .base import Base, NameMixin
from . import application


class Settings(Base, NameMixin):
    """A settings profile."""

    __tablename__ = 'settings'
    ringtone = Column(String(100), nullable=True, default='ring.wav')
    texttone = Column(String(100), nullable=True, default='sms.wav')
    unlock_keypresses = Column(Integer, nullable=False, default=3)

    @classmethod
    def active(cls):
        """Get the currently-active settings profile."""
        return cls.get(application.active_profile_id)
