"""Provides the TextMessage class."""

from sqlalchemy import Column, String, DateTime, func
from .base import Base, NumberMixin


class TextMessage(Base, NumberMixin):
    """A text message."""

    __tablename__ = 'text_messages'
    received = Column(
        DateTime(timezone=True), nullable=False, default=func.now()
    )
    read = Column(DateTime(timezone=True), nullable=True)
    text = Column(String(918), nullable=False)
